ForceFields::MMFF::TorsionConstraintContrib Class Reference

A dihedral angle range constraint modelled after a TorsionContrib. More...

`#include <TorsionConstraint.h>`

Inheritance diagram for ForceFields::MMFF::TorsionConstraintContrib:

## Public Member Functions

| TorsionConstraintContrib ()
| TorsionConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, double minDihedralDeg, double maxDihedralDeg, double forceConst)
| Constructor. More...
| TorsionConstraintContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, bool relative, double minDihedralDeg, double maxDihedralDeg, double forceConst)
| ~TorsionConstraintContrib () override=default
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position More...
TorsionConstraintContrib * | copy () const override
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField More...

## Detailed Description

A dihedral angle range constraint modelled after a TorsionContrib.

Definition at line 22 of file MMFF/TorsionConstraint.h.

## Constructor & Destructor Documentation

## TorsionConstraintContrib() [1/3]

ForceFields::MMFF::TorsionConstraintContrib::TorsionConstraintContrib | ( |  | ) |

inline

Definition at line 25 of file MMFF/TorsionConstraint.h.

## TorsionConstraintContrib() [2/3]

ForceFields::MMFF::TorsionConstraintContrib::TorsionConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | double | minDihedralDeg,
|  | double | maxDihedralDeg,
|  | double | forceConst
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  minDihedralDeg | minimum dihedral angle
  maxDihedralDeg | maximum dihedral angle
  forceConst | force Constant

## TorsionConstraintContrib() [3/3]

ForceFields::MMFF::TorsionConstraintContrib::TorsionConstraintContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | bool | relative,
|  | double | minDihedralDeg,
|  | double | maxDihedralDeg,
|  | double | forceConst
| ) |  |

## ~TorsionConstraintContrib()

ForceFields::MMFF::TorsionConstraintContrib::~TorsionConstraintContrib | ( |  | ) |

override default

## Member Function Documentation

## copy()

TorsionConstraintContrib* ForceFields::MMFF::TorsionConstraintContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 52 of file MMFF/TorsionConstraint.h.

## getEnergy()

double ForceFields::MMFF::TorsionConstraintContrib::getEnergy | ( | double * | pos | ) | const

override virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::MMFF::TorsionConstraintContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/TorsionConstraint.h